<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
*  Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*  Use is subject to license terms.
--><html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <title>CDC Project Properties Dialog Box: Creating JAR</title>
        <link rel="StyleSheet" href="nbdocs:/org/netbeans/modules/usersguide/ide.css" type="text/css">
    </head>
    <body>
    <h2>CDC Project Properties Dialog Box: Packaging </h2>
    <p>You open the
    CDC Project Properties dialog box by right-clicking any 
    CDC project node and choosing Properties.  
    <p>In the Packaging options page, you can set the following properties:
    <ul>
        <li><b>JAR File.</b> The name of the distribution jar file.  This is automatically generated by the IDE and
        cannot be changed from this panel.  See the notes section below for more information.</li>
        <li><b>Exclude from JAR file.</b> Specifies which types of files should be excluded from the distribution jar. A
        comma separated list of regular expressions is used as a filter.  For example **/*.java, **/*.form will
        exclude all .java and .form files from the distribution jar file.</li>
        <li><b>Compress JAR file.</b> Specifies whether the distribution jar file should be compressed.</li>
    </ul>
    <p><b>Notes:</b>
    <ul>
        <li>To specify a manifest file in your JAR file, open your project's <tt>project.properties</tt> 
        file and enter the name of the manifest file in the <tt>manifest.file</tt> 
        property. The file name must be specified relative to the project's <tt>build.xml 
        </tt>file.</li>
        <li>To change the JAR name and location, open the project.properties file and 
        edit the <tt>dist.jar </tt>property.</li>
        <li>To disable building of JAR files for a project, open <tt>build.xml, </tt>override 
    the <tt>jar</tt> target and remove all the dependencies from the target, like 
    so:<br>
            <pre>&lt;target name=&quot;jar&quot; /&gt;</pre>
        </li>
    </ul>
    <hr>
<font size=-2><a href="../../../getstarted/credits.html">Legal Notices</a></font> 
<table border="0" cellpadding="20">
        <tr><td>&nbsp;</td></tr>
        <tr><td>&nbsp;</td></tr>
        <tr><td>&nbsp;</td></tr>
    </table></body>
</html>
